function ann=cvask(ann)

% function ann=cvask(ann)
% Runs ("asks") ANN net and:
%  1. generates predictions
%  2. Calculates errors

[ntest,mtest]=size(ann.x.test);
[ntrain,mtrain]=size(ann.x.train);

%  1. generates predictions
ann.y.ptest=mlpfwd(ann.net,ann.x.test);
ann.y.ptrain=mlpfwd(ann.net,ann.x.train);

%	2. Calculates errors
ann.erro.test=sum(sum(sqrt((ann.y.ptest-ann.y.test).^2)))/(ntest*mtest);
ann.erro.train=sum(sum(sqrt((ann.y.ptrain-ann.y.train).^2)))/(ntrain*mtrain);
ann.erro.tt=ann.erro.test*ann.erro.train;