function linha=cvlinha(x,y)

% function linha=cvlinha(x,y)
% linear regression y=bb*x+bo

n=length(x);

sx=sum(x);
sy=sum(y);
ax=mean(x);
ay=mean(y);
r=corrcoef(x,y);r=r(2,1);	% r
sxy=sum(x.*y);
sxx=sum(x.*x);
syy=sum(y.*y);

bb=(n*sxy-sx*sy)/(n*sxx-sx^2);	% bb
bo=ay-bb*ax;	%bo

sey=sqrt((syy-bo*sy-bb*sxy)/(n-2));	% standard error of estimate
sebb=sey/(sqrt((n*sxx-sx^2)/n));	% sebb= standard error of regression slope

% p=tcdf(abs(bb)/sebb,n-2);	% p_robability level assuming t-student distribution

t=tinv(0.95,n-2);	% t-student for p=0.05
intcf=[bb-t*sebb,bb+t*sebb];	% Confidence interval for regression slope, p=0.05


linha.bb=bb;
linha.bo=bo;
linha.sebb=sebb;
linha.r=r;
linha.intcf=intcf;
% linha.p=p;
linha.y=bo+bb.*x;
