function ann=cvsensas(ann)

% function ann=cvsensas(ann)
% sensitivity analysis of all anns
% The vector with the average sensitivities is saved
% in ann.s(j), sumarizing the data collected in each ann.anns(i).ann
% j is the # output

n=length(ann.anns);% # anns
% Sensitivity of the median ann (the one saved in ann)
disp(strcat('0','/',num2str(n)))
ann.s=cvsensa(ann);

% sensitivity analysis of each ann
for i=1:n
   disp(strcat(num2str(i),'/',num2str(n)))	% displays progress
   [ann.ss(:,i,:),ann.scube(:,:,:,i)]=cvsensa(ann.anns(i).ann);	
   % cubes with all average and hypercube with individual results
end

   
   