function ann=cvhid(x,y,f,hnmax,tmax)

% function ann=cvhid(x,y,f,hnmax,tmax)
% Cross validation to search for optimum # hiddn nodes


mx=length(x(1,:));
my=length(y(1,:));

% Starting with hn ~ inputs + outputs
i=1;
if (mx+my)<3
   hn=3;
elseif (mx+my)>5
   hn=5;
else
   hn=mx+my;
end
s=round(hn*0.49);	% initial step defenition

% First run
ann=cvcriann3(x,y,hn,f);	% Creates ann
ann=cvstops(ann,tmax);ann=cvask(ann);
e0=ann.erro.test;
disp('    hn   	Errtt	train	  test')
disp([hn,ann.erro.tt,ann.erro.train,ann.erro.test])
errhn=[hn,ann.erro.tt,ann.erro.train,ann.erro.test];	% errata

% And now automating
hn=hn+s;
while (hn<hnmax)*(s~=0)*(hn>0)
   i=i+1;
   ann=cvcriann2(x,y,hn,f);	% Creates ann
	ann=cvstops(ann,tmax);ann=cvask(ann);
	e1=ann.erro.test;
	disp('    hn   	Errtt	train	  test')
   disp([hn,ann.erro.tt,ann.erro.train,ann.erro.test])
   errhn=[errhn;[hn,ann.erro.tt,ann.erro.train,ann.erro.test]];
   if e1<e0
      s=round(s*1.2);
   else
      s=-round(s*0.49);
   end
   e0=e1;
   hn=hn+s;
end

[a,b]=min(errhn(:,4));
ann=cvcriann2(x,y,errhn(b,1),f);
stops=3*round(1/ann.f);stops=stops+((stops/2)==round(stops/2));% make it an odd number of tries
ann=cvstops(ann,tmax,stops);

ann=cvask(ann);
errhn=[errhn;[ann.net.nhidden,ann.erro.tt,ann.erro.train,ann.erro.test]];
ann.erro.errhn=errhn;
%save neta ann
