function y=cvpreve(ann,x)

% function y=cvpreve(ann,{x})
% Makes predictions for input x
% if x is ommited then, the original ann input will be used
%
% see also CVASK for predictions
% conserning training ans test data

if nargin<2
   x=ann.x.x;
end

mx=length(ann.x.x(1,:));
my=length(ann.y.y(1,:));


% scalling x
sx=cvscala(x,ann.x.mm,[zeros(1,mx);ones(1,mx)]);

% calculating scalled y
sy=mlpfwd(ann.net,sx);

% unscaling y
y=cvscala(sy,[zeros(1,my);ones(1,my)],ann.y.mm);
